[X2Go-Commits] x2gobroker.git - tmp (branch) updated: 0.0.0.1-20-gb25ebf6

X2Go dev team git-admin at x2go.org
Tue Apr 23 21:08:44 CEST 2013


The branch, tmp has been updated
       via  b25ebf6134b77a3e18ba1f7883c27cd29cebe61b (commit)
      from  1fe7447ef8efa17ac2fd290cc449c6d1b9078edc (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 debian/x2gobroker-daemon.init |   78 ++++++++++++++++++++---------------------
 1 file changed, 39 insertions(+), 39 deletions(-)

The diff of changes is:
diff --git a/debian/x2gobroker-daemon.init b/debian/x2gobroker-daemon.init
index 1c2d724..7d945ed 100755
--- a/debian/x2gobroker-daemon.init
+++ b/debian/x2gobroker-daemon.init
@@ -61,48 +61,48 @@ export X2GOBROKER_SSL_KEYFILE
 
 is_true()
 {
-  case "${1:-}" in
-    [Yy]es|[Yy]|1|[Tt]|[Tt]rue) return 0;;
-    *) return 1;
-  esac
+	case "${1:-}" in
+		[Yy]es|[Yy]|1|[Tt]|[Tt]rue) return 0;;
+		*) return 1;
+	esac
 }
 
 case "${1:-}" in
-  start)
-    if [ -e $PIDFILE ]; then
-	if ps -u $X2GOBROKER_DAEMON_USER | grep $(basename $DAEMON) 1>/dev/null 2>/dev/null; then
-	    log_warning_msg "X2Go Session Broker already running"
-	else
-	    log_warning_msg "X2Go Session Broker: stale PID file ($PIDFILE). Delete it manually!"
-	fi
-	START_DAEMON=no
-    fi
-    if is_true $START_DAEMON; then
-      log_daemon_msg "Starting X2Go Session Broker standalone daemon" $(basename $DAEMON)
-      set +e
-      start-stop-daemon --chuid $X2GOBROKER_DAEMON_USER -b -m -S -p $PIDFILE -x $DAEMON -- -b $DAEMON_BIND_ADDRESS
-      log_end_msg $?
-      set -e
-    fi
-    ;;
-  stop)
-    if [ -f $PIDFILE ] ; then
-      log_daemon_msg "Stopping X2Go Session Broker standalone daemon" "x2gobroker"
-      set +e
-      start-stop-daemon -K -p $PIDFILE
-      rm -f $PIDFILE
-      log_end_msg $?
-      set -e
-    fi
-    ;;
-  restart|reload|force-reload)
-    ${0:-} stop
-    ${0:-} start
-    ;;
-  *)
-    echo "Usage: ${0:-} {start|stop|restart|reload|force-reload}" >&2
-    exit 1
-    ;;
+	start)
+		if [ -e $PIDFILE ]; then
+			if ps -u $X2GOBROKER_DAEMON_USER | grep $(basename $DAEMON) 1>/dev/null 2>/dev/null; then
+				log_warning_msg "X2Go Session Broker already running"
+			else
+				log_warning_msg "X2Go Session Broker: stale PID file ($PIDFILE). Delete it manually!"
+			fi
+			START_DAEMON=no
+		fi
+		if is_true $START_DAEMON; then
+			log_daemon_msg "Starting X2Go Session Broker standalone daemon" $(basename $DAEMON)
+			set +e
+			start-stop-daemon --chuid $X2GOBROKER_DAEMON_USER -b -m -S -p $PIDFILE -x $DAEMON -- -b $DAEMON_BIND_ADDRESS
+			log_end_msg $?
+			set -e
+		fi
+	;;
+	stop)
+		if [ -f $PIDFILE ] ; then
+			log_daemon_msg "Stopping X2Go Session Broker standalone daemon" "x2gobroker"
+			set +e
+			start-stop-daemon -K -p $PIDFILE
+			rm -f $PIDFILE
+			log_end_msg $?
+			set -e
+		fi
+	;;
+	restart|reload|force-reload)
+		${0:-} stop
+		${0:-} start
+	;;
+	*)
+		echo "Usage: ${0:-} {start|stop|restart|reload|force-reload}" >&2
+		exit 1
+		;;
 esac
 
 exit 0


hooks/post-receive
-- 
x2gobroker.git (HTTP(S) Session broker for X2Go)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gobroker.git" (HTTP(S) Session broker for X2Go).




More information about the x2go-commits mailing list